> For the complete documentation index, see [llms.txt](https://docs-conversational-ai.syntphony.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-conversational-ai.syntphony.com/api-docs/api-guidelines/management-api/instance-api/answer.md).

# Answer

Answers are what we return when the conversation API identifies what the user's request are, according to our dialog manager.

{% hint style="info" %}
**API SUBPATH**: eva-answer
{% endhint %}

### Pagination and Listing

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer

> Searches and paginates through expected answers -- those being of type 'TYPE\_ANSWER' and 'WELCOME\_MESSAGE'.

```json
{"openapi":"3.1.0","info":{"title":"eva-answer API Documentation","version":"4.9.0"},"tags":[],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer":{"get":{"tags":["answer-controller"],"summary":"Searches and paginates through expected answers -- those being of type 'TYPE_ANSWER' and 'WELCOME_MESSAGE'.","operationId":"findAll","parameters":[{"name":"orgUUID","in":"path","description":"It is the organization where the answers are, it is used to connect to the correct database","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"It is the environment where the answers are, it is used to connect to the correct database","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"It is the bot where the answers are, it is used to filter answers","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Current page, starting at 1","required":true,"schema":{"type":"integer","format":"int32","default":1}},{"name":"size","in":"query","description":"Size of the page","required":true,"schema":{"type":"integer","format":"int32","default":5}},{"name":"rephrasingFilter","in":"query","description":"Whether you are filtering for ANY answer, STATIC_ONLY or REPHRASE_ONLY.","required":false,"schema":{"type":"string","default":"ANY"}},{"name":"orderBy","in":"query","description":"Criteria to order result, defaulted to updatedAt date. Possible fields include name, createdAt, updatedAt, createdBy and updatedBy.","required":false,"schema":{"type":"string","default":"updatedAt"}},{"name":"direction","in":"query","description":"Order direction(ASC/DESC), defaulted to DESC","required":false,"schema":{"type":"string","default":"DESC"}},{"name":"searchTerm","in":"query","description":"Term being searched. This expects one optional String matching the name of an answer.","required":false,"schema":{"type":"string"}},{"name":"maskingFilter","in":"query","description":"Used to filter masked answers, defaulted to ALL","required":false,"schema":{"type":"string","default":"ALL","enum":["ALL","MASKED","UNMASKED"]}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAnswersDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/StandardError"},{"$ref":"#/components/schemas/ValidationError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"PageAnswersDTO":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"totalElements":{"type":"integer","format":"int64"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/AnswersDTO"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"unpaged":{"type":"boolean"},"paged":{"type":"boolean"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/SortObject"}}},"SortObject":{"type":"object","properties":{"unsorted":{"type":"boolean"},"sorted":{"type":"boolean"},"empty":{"type":"boolean"}}},"AnswersDTO":{"type":"object","description":"A Structure holding a mapping of an answer's information and all Flows associated to it.","properties":{"answer":{"$ref":"#/components/schemas/AnswerDTO","description":"All data regarding this answer"},"flows":{"type":"array","description":"A list of Flows associated to this answer","items":{"$ref":"#/components/schemas/FlowResponseDTO"}}}},"AnswerDTO":{"type":"object","description":"A Structure representing all data of an answer, containing it's templates.","properties":{"id":{"type":"string","description":"The answer's String uuid."},"name":{"type":"string","description":"The answer's name."},"description":{"type":"string","description":"A freeform description of this answer."},"evaluable":{"type":"integer","format":"int32","description":"A boolean indicator representing if this answer is an evaluable answer."},"transactional":{"type":"integer","format":"int32","description":"A boolean indicator representing if this answer is a transactional answer."},"isMasked":{"type":"boolean","description":"Whether or not this answer is masked."},"updatedAt":{"type":"string","format":"date-time","description":"An ISO formatted date of the last update of this answer."},"updatedBy":{"type":"string","description":"Uuid of the user that has last updated this answer."},"tags":{"type":"array","description":"A list of all tags associated to this answer.","items":{"$ref":"#/components/schemas/TagSimpleDTO"},"uniqueItems":true},"webhook":{"type":"string","description":"A freeform string to code up a webhook for this answer."},"type":{"type":"string","description":"The answer's type."},"headers":{"description":"The answer's Headers. This object is a freeform JSON which must be parser as an object when receiving it."},"answerTemplates":{"type":"array","description":"A list of the answer's templates.","items":{"$ref":"#/components/schemas/AnswerTemplateResponseDTO"},"uniqueItems":true},"executionLimit":{"type":"integer","format":"int64","description":"The number of times an answer can be executed."},"rephrase":{"$ref":"#/components/schemas/AnswerRephraseRequestDTO","description":"Nested rephrase configuration. Preferred over the flat rephrase fields."},"rephraseEnabled":{"type":"boolean","deprecated":true,"description":"Deprecated. Use rephrase.enabled instead. Whether the rephrasing feature is active in this answer."},"rephrasingTemperature":{"type":"number","format":"double","deprecated":true,"description":"Deprecated. Use rephrase.temperature instead. The temperature used in the rephrasing feature for this answer."},"rephrasingMemory":{"type":"integer","format":"int32","deprecated":true,"description":"Deprecated. Use rephrase.memory instead. The amount of previous user inputs used to modify the rephrasing feature."},"rephrasingBlacklist":{"type":"string","deprecated":true,"description":"Deprecated. Use rephrase.blacklist instead. Space-separated blacklisted words to avoid during rephrasing."},"user":{"$ref":"#/components/schemas/UserDTO","description":"The User who last edited this answer."},"transactionalAuth":{"$ref":"#/components/schemas/AuthDTO","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type."},"rephrasingVerbosity":{"type":"string"},"rephrasingReasoningEffort":{"type":"string"}}},"TagSimpleDTO":{"type":"object","description":"Structure used to represent a tag association.","properties":{"uuid":{"type":"string","description":"Uuid of the tag, if existing. Not required, but will speed up the creation if present."},"name":{"type":"string","description":"Name of the tag. Expected to be in a '#term' format, hash included."}}},"AnswerTemplateResponseDTO":{"type":"object","description":"A Structure representing all data of an answer template.","properties":{"id":{"type":"string","description":"The answer template's String uuid."},"content":{"$ref":"#/components/schemas/ContentDTO","description":"A Structure containing usages of this template."},"type":{"type":"string","description":"The answer template's type."},"channelTypeId":{"type":"integer","format":"int64","description":"The UUID of the assigned channel's type."},"channelId":{"type":"string","description":"A Uuid of a channel assigned to this template."},"technicalText":{"type":"string","description":"A freeform text with technical configurations."},"translations":{"type":"array","description":"Translated answer templates","items":{"$ref":"#/components/schemas/AnswerTranslateResponseDTO"},"uniqueItems":true}},"required":["channelId","channelTypeId"]},"ContentDTO":{"type":"object","description":"A Structure representing the content of an answers template usage.","properties":{"content":{"description":"A Freeform, JSON structure representing this content"},"description":{"type":"string","description":"The description on this answer template's content"},"type":{"type":"string","description":"This answer template's type"},"buttons":{"type":"array","description":"A list of JSON objects representing buttons.","items":{}},"quickReply":{"type":"array","description":"A list of JSON objects representing quick replies.","items":{}},"name":{"type":"string","description":"This content's name"}}},"AnswerTranslateResponseDTO":{"type":"object","properties":{"answerTemplateUUID":{"type":"string"},"locale":{"type":"string"},"content":{"type":"string"}}},"AnswerRephraseRequestDTO":{"type":"object","description":"Rephrase configuration for an Answer.","properties":{"enabled":{"type":"boolean","description":"Whether the rephrasing feature is active in this answer."},"temperature":{"type":"number","format":"double","description":"The temperature used in the rephrasing feature for this answer (0 to 1).","maximum":1,"minimum":0},"memory":{"type":"integer","format":"int32","description":"The amount of previous user inputs used to modify the rephrasing feature."},"blacklist":{"type":"string","description":"A number of space-separated blacklisted words to avoid during rephrasing."},"verbosity":{"type":"string","description":"Response verbosity for GPT-5 series rephrase (LOW, MEDIUM, HIGH).","enum":["LOW","MEDIUM","HIGH"]},"reasoningEffort":{"type":"string","description":"Reasoning effort for GPT-5 series rephrase (MINIMAL, LOW, MEDIUM, HIGH).","enum":["MINIMAL","LOW","MEDIUM","HIGH"]}}},"UserDTO":{"type":"object","description":"A simplified structure representing minimal data of a user.","properties":{"name":{"type":"string","description":"The user's name"},"imageUrl":{"type":"string","description":"The user's image URL"}}},"AuthDTO":{"type":"object","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type.","properties":{"authType":{"$ref":"#/components/schemas/AuthTypeEnum","description":"Enum describing if cell uses an auth method, and which."},"basicToken":{"type":"string","description":"Basic Token for Basic Auth Header"},"bearerToken":{"type":"string","description":"Bearer Token for Bearer Token Auth Header"},"oauthUrl":{"type":"string","description":"URL for authentication with oAuth Method"},"grantType":{"$ref":"#/components/schemas/GrantTypeEnum","description":"Grant type to be used with oAuth Method"},"clientId":{"type":"string","description":"Client Id to be used with oAuth Method"},"clientSecret":{"type":"string","description":"Client Secret to be used with oAuth Method and grant type 'client_credentials'"},"authUsername":{"type":"string","description":"Username to be used with oAuth Method and grant type 'password'"},"authPassword":{"type":"string","description":"Password to be used with oAuth Method and grant type 'password'"}}},"AuthTypeEnum":{"type":"string","enum":["AuthTypeEnum.AUTH_NONE(value=AUTH_NONE)","AuthTypeEnum.AUTH_BASIC(value=AUTH_BASIC)","AuthTypeEnum.AUTH_BEARER(value=AUTH_BEARER)","AuthTypeEnum.AUTH_OAUTH(value=AUTH_OAUTH)"]},"GrantTypeEnum":{"type":"string","enum":["GrantTypeEnum.CLIENT_CREDENTIALS(value=CLIENT_CREDENTIALS)","GrantTypeEnum.PASSWORD(value=PASSWORD)","GrantTypeEnum.REFRESH_TOKEN(value=REFRESH_TOKEN)"]},"FlowResponseDTO":{"type":"object","description":"Structure representing a flow's basic information.","properties":{"uuid":{"type":"string","description":"Uuid of the flow."},"name":{"type":"string","description":"Name of the flow"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/not-expected

> Paginates through not expected answers -- those being of type 'FIRST\_CELL' and 'TYPE\_ANYTHING\_ELSE'.

```json
{"openapi":"3.1.0","info":{"title":"eva-answer API Documentation","version":"4.9.0"},"tags":[],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/not-expected":{"get":{"tags":["answer-controller"],"summary":"Paginates through not expected answers -- those being of type 'FIRST_CELL' and 'TYPE_ANYTHING_ELSE'.","operationId":"findAllAnythingElse","parameters":[{"name":"orgUUID","in":"path","description":"A valid uuid of an organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid uuid of an environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"The UUID of the bot whose entities you are searching","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Current page, starting at 1","required":true,"schema":{"type":"integer","format":"int32","default":1}},{"name":"size","in":"query","description":"Size of the page","required":true,"schema":{"type":"integer","format":"int32","default":5}},{"name":"rephrasingFilter","in":"query","description":"Whether you are filtering for ANY answer, STATIC_ONLY or REPHRASING_ONLY.","required":false,"schema":{"type":"string","default":"ANY"}},{"name":"orderBy","in":"query","description":"Criteria to order result, defaulted to updatedAt date. Possible fields include name, createdAt, updatedAt, createdBy and updatedBy.","required":false,"schema":{"type":"string","default":"updatedAt"}},{"name":"direction","in":"query","description":"Order direction(ASC/DESC), defaulted to DESC","required":false,"schema":{"type":"string","default":"DESC"}},{"name":"searchTerm","in":"query","description":"Term being searched. This expects one optional String matching the name of an answer.","required":false,"schema":{"type":"string"}},{"name":"maskingFilter","in":"query","description":"Used to filter masked answers, defaulted to ALL","required":false,"schema":{"type":"string","default":"ALL","enum":["ALL","MASKED","UNMASKED"]}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAnswersDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/StandardError"},{"$ref":"#/components/schemas/ValidationError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"PageAnswersDTO":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"totalElements":{"type":"integer","format":"int64"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/AnswersDTO"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"unpaged":{"type":"boolean"},"paged":{"type":"boolean"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/SortObject"}}},"SortObject":{"type":"object","properties":{"unsorted":{"type":"boolean"},"sorted":{"type":"boolean"},"empty":{"type":"boolean"}}},"AnswersDTO":{"type":"object","description":"A Structure holding a mapping of an answer's information and all Flows associated to it.","properties":{"answer":{"$ref":"#/components/schemas/AnswerDTO","description":"All data regarding this answer"},"flows":{"type":"array","description":"A list of Flows associated to this answer","items":{"$ref":"#/components/schemas/FlowResponseDTO"}}}},"AnswerDTO":{"type":"object","description":"A Structure representing all data of an answer, containing it's templates.","properties":{"id":{"type":"string","description":"The answer's String uuid."},"name":{"type":"string","description":"The answer's name."},"description":{"type":"string","description":"A freeform description of this answer."},"evaluable":{"type":"integer","format":"int32","description":"A boolean indicator representing if this answer is an evaluable answer."},"transactional":{"type":"integer","format":"int32","description":"A boolean indicator representing if this answer is a transactional answer."},"isMasked":{"type":"boolean","description":"Whether or not this answer is masked."},"updatedAt":{"type":"string","format":"date-time","description":"An ISO formatted date of the last update of this answer."},"updatedBy":{"type":"string","description":"Uuid of the user that has last updated this answer."},"tags":{"type":"array","description":"A list of all tags associated to this answer.","items":{"$ref":"#/components/schemas/TagSimpleDTO"},"uniqueItems":true},"webhook":{"type":"string","description":"A freeform string to code up a webhook for this answer."},"type":{"type":"string","description":"The answer's type."},"headers":{"description":"The answer's Headers. This object is a freeform JSON which must be parser as an object when receiving it."},"answerTemplates":{"type":"array","description":"A list of the answer's templates.","items":{"$ref":"#/components/schemas/AnswerTemplateResponseDTO"},"uniqueItems":true},"executionLimit":{"type":"integer","format":"int64","description":"The number of times an answer can be executed."},"rephrase":{"$ref":"#/components/schemas/AnswerRephraseRequestDTO","description":"Nested rephrase configuration. Preferred over the flat rephrase fields."},"rephraseEnabled":{"type":"boolean","deprecated":true,"description":"Deprecated. Use rephrase.enabled instead. Whether the rephrasing feature is active in this answer."},"rephrasingTemperature":{"type":"number","format":"double","deprecated":true,"description":"Deprecated. Use rephrase.temperature instead. The temperature used in the rephrasing feature for this answer."},"rephrasingMemory":{"type":"integer","format":"int32","deprecated":true,"description":"Deprecated. Use rephrase.memory instead. The amount of previous user inputs used to modify the rephrasing feature."},"rephrasingBlacklist":{"type":"string","deprecated":true,"description":"Deprecated. Use rephrase.blacklist instead. Space-separated blacklisted words to avoid during rephrasing."},"user":{"$ref":"#/components/schemas/UserDTO","description":"The User who last edited this answer."},"transactionalAuth":{"$ref":"#/components/schemas/AuthDTO","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type."},"rephrasingVerbosity":{"type":"string"},"rephrasingReasoningEffort":{"type":"string"}}},"TagSimpleDTO":{"type":"object","description":"Structure used to represent a tag association.","properties":{"uuid":{"type":"string","description":"Uuid of the tag, if existing. Not required, but will speed up the creation if present."},"name":{"type":"string","description":"Name of the tag. Expected to be in a '#term' format, hash included."}}},"AnswerTemplateResponseDTO":{"type":"object","description":"A Structure representing all data of an answer template.","properties":{"id":{"type":"string","description":"The answer template's String uuid."},"content":{"$ref":"#/components/schemas/ContentDTO","description":"A Structure containing usages of this template."},"type":{"type":"string","description":"The answer template's type."},"channelTypeId":{"type":"integer","format":"int64","description":"The UUID of the assigned channel's type."},"channelId":{"type":"string","description":"A Uuid of a channel assigned to this template."},"technicalText":{"type":"string","description":"A freeform text with technical configurations."},"translations":{"type":"array","description":"Translated answer templates","items":{"$ref":"#/components/schemas/AnswerTranslateResponseDTO"},"uniqueItems":true}},"required":["channelId","channelTypeId"]},"ContentDTO":{"type":"object","description":"A Structure representing the content of an answers template usage.","properties":{"content":{"description":"A Freeform, JSON structure representing this content"},"description":{"type":"string","description":"The description on this answer template's content"},"type":{"type":"string","description":"This answer template's type"},"buttons":{"type":"array","description":"A list of JSON objects representing buttons.","items":{}},"quickReply":{"type":"array","description":"A list of JSON objects representing quick replies.","items":{}},"name":{"type":"string","description":"This content's name"}}},"AnswerTranslateResponseDTO":{"type":"object","properties":{"answerTemplateUUID":{"type":"string"},"locale":{"type":"string"},"content":{"type":"string"}}},"AnswerRephraseRequestDTO":{"type":"object","description":"Rephrase configuration for an Answer.","properties":{"enabled":{"type":"boolean","description":"Whether the rephrasing feature is active in this answer."},"temperature":{"type":"number","format":"double","description":"The temperature used in the rephrasing feature for this answer (0 to 1).","maximum":1,"minimum":0},"memory":{"type":"integer","format":"int32","description":"The amount of previous user inputs used to modify the rephrasing feature."},"blacklist":{"type":"string","description":"A number of space-separated blacklisted words to avoid during rephrasing."},"verbosity":{"type":"string","description":"Response verbosity for GPT-5 series rephrase (LOW, MEDIUM, HIGH).","enum":["LOW","MEDIUM","HIGH"]},"reasoningEffort":{"type":"string","description":"Reasoning effort for GPT-5 series rephrase (MINIMAL, LOW, MEDIUM, HIGH).","enum":["MINIMAL","LOW","MEDIUM","HIGH"]}}},"UserDTO":{"type":"object","description":"A simplified structure representing minimal data of a user.","properties":{"name":{"type":"string","description":"The user's name"},"imageUrl":{"type":"string","description":"The user's image URL"}}},"AuthDTO":{"type":"object","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type.","properties":{"authType":{"$ref":"#/components/schemas/AuthTypeEnum","description":"Enum describing if cell uses an auth method, and which."},"basicToken":{"type":"string","description":"Basic Token for Basic Auth Header"},"bearerToken":{"type":"string","description":"Bearer Token for Bearer Token Auth Header"},"oauthUrl":{"type":"string","description":"URL for authentication with oAuth Method"},"grantType":{"$ref":"#/components/schemas/GrantTypeEnum","description":"Grant type to be used with oAuth Method"},"clientId":{"type":"string","description":"Client Id to be used with oAuth Method"},"clientSecret":{"type":"string","description":"Client Secret to be used with oAuth Method and grant type 'client_credentials'"},"authUsername":{"type":"string","description":"Username to be used with oAuth Method and grant type 'password'"},"authPassword":{"type":"string","description":"Password to be used with oAuth Method and grant type 'password'"}}},"AuthTypeEnum":{"type":"string","enum":["AuthTypeEnum.AUTH_NONE(value=AUTH_NONE)","AuthTypeEnum.AUTH_BASIC(value=AUTH_BASIC)","AuthTypeEnum.AUTH_BEARER(value=AUTH_BEARER)","AuthTypeEnum.AUTH_OAUTH(value=AUTH_OAUTH)"]},"GrantTypeEnum":{"type":"string","enum":["GrantTypeEnum.CLIENT_CREDENTIALS(value=CLIENT_CREDENTIALS)","GrantTypeEnum.PASSWORD(value=PASSWORD)","GrantTypeEnum.REFRESH_TOKEN(value=REFRESH_TOKEN)"]},"FlowResponseDTO":{"type":"object","description":"Structure representing a flow's basic information.","properties":{"uuid":{"type":"string","description":"Uuid of the flow."},"name":{"type":"string","description":"Name of the flow"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

{% openapi src="/files/AH7jisMfAQ5NHOOHVQbC" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/quicksearch" method="get" %}
[eva-answer-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2FDjQbZdn2Kf0mSgSZQR4w%2Feva-answer-4.7.0.yaml?alt=media\&token=42256efb-eeb2-4262-bb7a-98d1b825b43a)
{% endopenapi %}

{% openapi src="/files/AH7jisMfAQ5NHOOHVQbC" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/not-expected/quicksearch" method="get" %}
[eva-answer-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2FDjQbZdn2Kf0mSgSZQR4w%2Feva-answer-4.7.0.yaml?alt=media\&token=42256efb-eeb2-4262-bb7a-98d1b825b43a)
{% endopenapi %}

{% openapi src="/files/AH7jisMfAQ5NHOOHVQbC" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/list-on-flow" method="get" %}
[eva-answer-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2FDjQbZdn2Kf0mSgSZQR4w%2Feva-answer-4.7.0.yaml?alt=media\&token=42256efb-eeb2-4262-bb7a-98d1b825b43a)
{% endopenapi %}

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/list-on-flow

> Searches through all answers recently used on a given bot to start a flow.

```json
{"openapi":"3.1.0","info":{"title":"eva-answer API Documentation","version":"4.9.0"},"tags":[],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/list-on-flow":{"get":{"tags":["answer-controller"],"summary":"Searches through all answers recently used on a given bot to start a flow.","operationId":"listOnFlow","parameters":[{"name":"orgUUID","in":"path","description":"A valid uuid of an organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid uuid of an environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"The UUID of the bot whose entities you are searching","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AnswerListByFlowDTO"}}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/StandardError"},{"$ref":"#/components/schemas/ValidationError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"AnswerListByFlowDTO":{"type":"object","description":"A simplified structure holding a shortened mapping of an answer's information and all Flows associated to it.","properties":{"id":{"type":"string","description":"The answer's String uuid."},"name":{"type":"string","description":"The answer's name."},"type":{"type":"string","description":"The answer's type."},"executionLimit":{"type":"integer","format":"int64","description":"The number of times an answer can be executed."},"answerTemplates":{"type":"array","description":"A list of the answer's templates.","items":{"$ref":"#/components/schemas/AnswerTemplateResponseDTO"},"uniqueItems":true},"rephraseEnabled":{"type":"boolean","deprecated":true,"description":"Wether the rephrasing feature is active in this answer."},"tags":{"type":"array","description":"A list of all tags associated to this answer.","items":{"$ref":"#/components/schemas/TagOnFlowDTO"},"uniqueItems":true}}},"AnswerTemplateResponseDTO":{"type":"object","description":"A Structure representing all data of an answer template.","properties":{"id":{"type":"string","description":"The answer template's String uuid."},"content":{"$ref":"#/components/schemas/ContentDTO","description":"A Structure containing usages of this template."},"type":{"type":"string","description":"The answer template's type."},"channelTypeId":{"type":"integer","format":"int64","description":"The UUID of the assigned channel's type."},"channelId":{"type":"string","description":"A Uuid of a channel assigned to this template."},"technicalText":{"type":"string","description":"A freeform text with technical configurations."},"translations":{"type":"array","description":"Translated answer templates","items":{"$ref":"#/components/schemas/AnswerTranslateResponseDTO"},"uniqueItems":true}},"required":["channelId","channelTypeId"]},"ContentDTO":{"type":"object","description":"A Structure representing the content of an answers template usage.","properties":{"content":{"description":"A Freeform, JSON structure representing this content"},"description":{"type":"string","description":"The description on this answer template's content"},"type":{"type":"string","description":"This answer template's type"},"buttons":{"type":"array","description":"A list of JSON objects representing buttons.","items":{}},"quickReply":{"type":"array","description":"A list of JSON objects representing quick replies.","items":{}},"name":{"type":"string","description":"This content's name"}}},"AnswerTranslateResponseDTO":{"type":"object","properties":{"answerTemplateUUID":{"type":"string"},"locale":{"type":"string"},"content":{"type":"string"}}},"TagOnFlowDTO":{"type":"object","description":"Structure used to represent a tag association on the list on flow method.","properties":{"id":{"type":"string","description":"Dummy object, unused but required for previous structures."},"name":{"type":"string","description":"Name of the tag. Expected to be in a '#term' format, hash included."}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

### CRUD Methods

## POST /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer

> Creates a brand new answer

```json
{"openapi":"3.1.0","info":{"title":"eva-answer API Documentation","version":"4.9.0"},"tags":[],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer":{"post":{"tags":["answer-controller"],"summary":"Creates a brand new answer","operationId":"createAnswer","parameters":[{"name":"orgUUID","in":"path","description":"A valid uuid of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid uuid of environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid uuid of bot","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnswerRequestDTO"}}},"required":true},"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnswersDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/StandardError"},{"$ref":"#/components/schemas/ValidationError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"AnswerRequestDTO":{"type":"object","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type.","properties":{"name":{"type":"string","description":"The answer's name."},"description":{"type":"string","description":"A freeform description of this answer."},"tags":{"type":"array","description":"A list of all tags associated to this answer.","items":{"$ref":"#/components/schemas/TagsDTO"},"uniqueItems":true},"answerTemplates":{"type":"array","description":"A list of the answer's templates.","items":{"$ref":"#/components/schemas/AnswerTemplateRequestDTO"},"uniqueItems":true},"webhook":{"type":"string","description":"A freeform string to code up a webhook for this answer."},"transactional":{"type":"boolean","description":"A boolean indicator representing if this answer is a transactional answer."},"evaluable":{"type":"boolean","description":"A boolean indicator representing if this answer is an evaluable answer."},"isMasked":{"type":"boolean","description":"Whether or not this answer is masked."},"headers":{"description":"The answer's Headers. This object is a freeform JSON which must be parser as an object when receiving it."},"type":{"type":"string","description":"The answer's type."},"executionLimit":{"type":"integer","format":"int64","description":"The number of times an answer can be executed."},"rephrase":{"$ref":"#/components/schemas/AnswerRephraseRequestDTO","description":"Nested rephrase configuration. Preferred over the flat rephrase fields."},"rephraseEnabled":{"type":"boolean","deprecated":true,"description":"Deprecated. Use rephrase.enabled instead. Whether the rephrasing feature is active in this answer."},"rephrasingTemperature":{"type":"number","format":"double","deprecated":true,"description":"Deprecated. Use rephrase.temperature instead. The temperature used in the rephrasing feature for this answer."},"rephrasingMemory":{"type":"integer","format":"int32","deprecated":true,"description":"Deprecated. Use rephrase.memory instead. The amount of previous user inputs used to modify the rephrasing feature."},"rephrasingBlacklist":{"type":"string","deprecated":true,"description":"Deprecated. Use rephrase.blacklist instead. Space-separated blacklisted words to avoid during rephrasing."},"transactionalAuth":{"$ref":"#/components/schemas/AuthDTO","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type."},"rephrasingVerbosity":{"type":"string"},"rephrasingReasoningEffort":{"type":"string"},"validAuthType":{"type":"boolean"}},"required":["answerTemplates","evaluable","name","transactional"]},"TagsDTO":{"type":"object","properties":{"uuid":{"type":"string","description":"Uuid of the tag, if existing. Not required, but will speed up the search if present."},"name":{"type":"string","description":"Name of the tag."},"objectRef":{"type":"string","description":"The Uuid of the object associated with it. The kind of object is declared in tagTypeId"},"tagTypeId":{"type":"integer","format":"int64","description":"The type of object this tag shall refer to: \n\n1 - Intent \n\n2 - Entity \n\n3 - Answer \n\n4 - Flow \n\n6 - Service \n\n7 - Question \n\n5 - Unused stubs (Flow)"}},"required":["objectRef","tagTypeId"]},"AnswerTemplateRequestDTO":{"type":"object","properties":{"id":{"type":"string","description":"The answer template's String uuid, if already existing. When null, a new one is created."},"content":{"description":"A Structure containing usages of this template. This is a freeform JSON."},"type":{"type":"string","description":"The answer template's type."},"channelTypeId":{"type":"integer","format":"int64","description":"The UUID of the assigned channel's type."},"channelId":{"type":"string","description":"A Uuid of a channel assigned to this template."},"technicalText":{"type":"string","description":"A freeform text with technical configurations."}},"required":["channelId","channelTypeId"]},"AnswerRephraseRequestDTO":{"type":"object","description":"Rephrase configuration for an Answer.","properties":{"enabled":{"type":"boolean","description":"Whether the rephrasing feature is active in this answer."},"temperature":{"type":"number","format":"double","description":"The temperature used in the rephrasing feature for this answer (0 to 1).","maximum":1,"minimum":0},"memory":{"type":"integer","format":"int32","description":"The amount of previous user inputs used to modify the rephrasing feature."},"blacklist":{"type":"string","description":"A number of space-separated blacklisted words to avoid during rephrasing."},"verbosity":{"type":"string","description":"Response verbosity for GPT-5 series rephrase (LOW, MEDIUM, HIGH).","enum":["LOW","MEDIUM","HIGH"]},"reasoningEffort":{"type":"string","description":"Reasoning effort for GPT-5 series rephrase (MINIMAL, LOW, MEDIUM, HIGH).","enum":["MINIMAL","LOW","MEDIUM","HIGH"]}}},"AuthDTO":{"type":"object","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type.","properties":{"authType":{"$ref":"#/components/schemas/AuthTypeEnum","description":"Enum describing if cell uses an auth method, and which."},"basicToken":{"type":"string","description":"Basic Token for Basic Auth Header"},"bearerToken":{"type":"string","description":"Bearer Token for Bearer Token Auth Header"},"oauthUrl":{"type":"string","description":"URL for authentication with oAuth Method"},"grantType":{"$ref":"#/components/schemas/GrantTypeEnum","description":"Grant type to be used with oAuth Method"},"clientId":{"type":"string","description":"Client Id to be used with oAuth Method"},"clientSecret":{"type":"string","description":"Client Secret to be used with oAuth Method and grant type 'client_credentials'"},"authUsername":{"type":"string","description":"Username to be used with oAuth Method and grant type 'password'"},"authPassword":{"type":"string","description":"Password to be used with oAuth Method and grant type 'password'"}}},"AuthTypeEnum":{"type":"string","enum":["AuthTypeEnum.AUTH_NONE(value=AUTH_NONE)","AuthTypeEnum.AUTH_BASIC(value=AUTH_BASIC)","AuthTypeEnum.AUTH_BEARER(value=AUTH_BEARER)","AuthTypeEnum.AUTH_OAUTH(value=AUTH_OAUTH)"]},"GrantTypeEnum":{"type":"string","enum":["GrantTypeEnum.CLIENT_CREDENTIALS(value=CLIENT_CREDENTIALS)","GrantTypeEnum.PASSWORD(value=PASSWORD)","GrantTypeEnum.REFRESH_TOKEN(value=REFRESH_TOKEN)"]},"AnswersDTO":{"type":"object","description":"A Structure holding a mapping of an answer's information and all Flows associated to it.","properties":{"answer":{"$ref":"#/components/schemas/AnswerDTO","description":"All data regarding this answer"},"flows":{"type":"array","description":"A list of Flows associated to this answer","items":{"$ref":"#/components/schemas/FlowResponseDTO"}}}},"AnswerDTO":{"type":"object","description":"A Structure representing all data of an answer, containing it's templates.","properties":{"id":{"type":"string","description":"The answer's String uuid."},"name":{"type":"string","description":"The answer's name."},"description":{"type":"string","description":"A freeform description of this answer."},"evaluable":{"type":"integer","format":"int32","description":"A boolean indicator representing if this answer is an evaluable answer."},"transactional":{"type":"integer","format":"int32","description":"A boolean indicator representing if this answer is a transactional answer."},"isMasked":{"type":"boolean","description":"Whether or not this answer is masked."},"updatedAt":{"type":"string","format":"date-time","description":"An ISO formatted date of the last update of this answer."},"updatedBy":{"type":"string","description":"Uuid of the user that has last updated this answer."},"tags":{"type":"array","description":"A list of all tags associated to this answer.","items":{"$ref":"#/components/schemas/TagSimpleDTO"},"uniqueItems":true},"webhook":{"type":"string","description":"A freeform string to code up a webhook for this answer."},"type":{"type":"string","description":"The answer's type."},"headers":{"description":"The answer's Headers. This object is a freeform JSON which must be parser as an object when receiving it."},"answerTemplates":{"type":"array","description":"A list of the answer's templates.","items":{"$ref":"#/components/schemas/AnswerTemplateResponseDTO"},"uniqueItems":true},"executionLimit":{"type":"integer","format":"int64","description":"The number of times an answer can be executed."},"rephrase":{"$ref":"#/components/schemas/AnswerRephraseRequestDTO","description":"Nested rephrase configuration. Preferred over the flat rephrase fields."},"rephraseEnabled":{"type":"boolean","deprecated":true,"description":"Deprecated. Use rephrase.enabled instead. Whether the rephrasing feature is active in this answer."},"rephrasingTemperature":{"type":"number","format":"double","deprecated":true,"description":"Deprecated. Use rephrase.temperature instead. The temperature used in the rephrasing feature for this answer."},"rephrasingMemory":{"type":"integer","format":"int32","deprecated":true,"description":"Deprecated. Use rephrase.memory instead. The amount of previous user inputs used to modify the rephrasing feature."},"rephrasingBlacklist":{"type":"string","deprecated":true,"description":"Deprecated. Use rephrase.blacklist instead. Space-separated blacklisted words to avoid during rephrasing."},"user":{"$ref":"#/components/schemas/UserDTO","description":"The User who last edited this answer."},"transactionalAuth":{"$ref":"#/components/schemas/AuthDTO","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type."},"rephrasingVerbosity":{"type":"string"},"rephrasingReasoningEffort":{"type":"string"}}},"TagSimpleDTO":{"type":"object","description":"Structure used to represent a tag association.","properties":{"uuid":{"type":"string","description":"Uuid of the tag, if existing. Not required, but will speed up the creation if present."},"name":{"type":"string","description":"Name of the tag. Expected to be in a '#term' format, hash included."}}},"AnswerTemplateResponseDTO":{"type":"object","description":"A Structure representing all data of an answer template.","properties":{"id":{"type":"string","description":"The answer template's String uuid."},"content":{"$ref":"#/components/schemas/ContentDTO","description":"A Structure containing usages of this template."},"type":{"type":"string","description":"The answer template's type."},"channelTypeId":{"type":"integer","format":"int64","description":"The UUID of the assigned channel's type."},"channelId":{"type":"string","description":"A Uuid of a channel assigned to this template."},"technicalText":{"type":"string","description":"A freeform text with technical configurations."},"translations":{"type":"array","description":"Translated answer templates","items":{"$ref":"#/components/schemas/AnswerTranslateResponseDTO"},"uniqueItems":true}},"required":["channelId","channelTypeId"]},"ContentDTO":{"type":"object","description":"A Structure representing the content of an answers template usage.","properties":{"content":{"description":"A Freeform, JSON structure representing this content"},"description":{"type":"string","description":"The description on this answer template's content"},"type":{"type":"string","description":"This answer template's type"},"buttons":{"type":"array","description":"A list of JSON objects representing buttons.","items":{}},"quickReply":{"type":"array","description":"A list of JSON objects representing quick replies.","items":{}},"name":{"type":"string","description":"This content's name"}}},"AnswerTranslateResponseDTO":{"type":"object","properties":{"answerTemplateUUID":{"type":"string"},"locale":{"type":"string"},"content":{"type":"string"}}},"UserDTO":{"type":"object","description":"A simplified structure representing minimal data of a user.","properties":{"name":{"type":"string","description":"The user's name"},"imageUrl":{"type":"string","description":"The user's image URL"}}},"FlowResponseDTO":{"type":"object","description":"Structure representing a flow's basic information.","properties":{"uuid":{"type":"string","description":"Uuid of the flow."},"name":{"type":"string","description":"Name of the flow"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/{uuid}

> Retrieves information from a specific given answer.

```json
{"openapi":"3.1.0","info":{"title":"eva-answer API Documentation","version":"4.9.0"},"tags":[],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/{uuid}":{"get":{"tags":["answer-controller"],"summary":"Retrieves information from a specific given answer.","operationId":"findAnswer","parameters":[{"name":"orgUUID","in":"path","description":"A valid uuid of an organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid uuid of an environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"The UUID of the bot whose entity you are searching belong to","required":true,"schema":{"type":"string"}},{"name":"uuid","in":"path","description":"The answer's uuid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnswersDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/StandardError"},{"$ref":"#/components/schemas/ValidationError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"AnswersDTO":{"type":"object","description":"A Structure holding a mapping of an answer's information and all Flows associated to it.","properties":{"answer":{"$ref":"#/components/schemas/AnswerDTO","description":"All data regarding this answer"},"flows":{"type":"array","description":"A list of Flows associated to this answer","items":{"$ref":"#/components/schemas/FlowResponseDTO"}}}},"AnswerDTO":{"type":"object","description":"A Structure representing all data of an answer, containing it's templates.","properties":{"id":{"type":"string","description":"The answer's String uuid."},"name":{"type":"string","description":"The answer's name."},"description":{"type":"string","description":"A freeform description of this answer."},"evaluable":{"type":"integer","format":"int32","description":"A boolean indicator representing if this answer is an evaluable answer."},"transactional":{"type":"integer","format":"int32","description":"A boolean indicator representing if this answer is a transactional answer."},"isMasked":{"type":"boolean","description":"Whether or not this answer is masked."},"updatedAt":{"type":"string","format":"date-time","description":"An ISO formatted date of the last update of this answer."},"updatedBy":{"type":"string","description":"Uuid of the user that has last updated this answer."},"tags":{"type":"array","description":"A list of all tags associated to this answer.","items":{"$ref":"#/components/schemas/TagSimpleDTO"},"uniqueItems":true},"webhook":{"type":"string","description":"A freeform string to code up a webhook for this answer."},"type":{"type":"string","description":"The answer's type."},"headers":{"description":"The answer's Headers. This object is a freeform JSON which must be parser as an object when receiving it."},"answerTemplates":{"type":"array","description":"A list of the answer's templates.","items":{"$ref":"#/components/schemas/AnswerTemplateResponseDTO"},"uniqueItems":true},"executionLimit":{"type":"integer","format":"int64","description":"The number of times an answer can be executed."},"rephrase":{"$ref":"#/components/schemas/AnswerRephraseRequestDTO","description":"Nested rephrase configuration. Preferred over the flat rephrase fields."},"rephraseEnabled":{"type":"boolean","deprecated":true,"description":"Deprecated. Use rephrase.enabled instead. Whether the rephrasing feature is active in this answer."},"rephrasingTemperature":{"type":"number","format":"double","deprecated":true,"description":"Deprecated. Use rephrase.temperature instead. The temperature used in the rephrasing feature for this answer."},"rephrasingMemory":{"type":"integer","format":"int32","deprecated":true,"description":"Deprecated. Use rephrase.memory instead. The amount of previous user inputs used to modify the rephrasing feature."},"rephrasingBlacklist":{"type":"string","deprecated":true,"description":"Deprecated. Use rephrase.blacklist instead. Space-separated blacklisted words to avoid during rephrasing."},"user":{"$ref":"#/components/schemas/UserDTO","description":"The User who last edited this answer."},"transactionalAuth":{"$ref":"#/components/schemas/AuthDTO","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type."},"rephrasingVerbosity":{"type":"string"},"rephrasingReasoningEffort":{"type":"string"}}},"TagSimpleDTO":{"type":"object","description":"Structure used to represent a tag association.","properties":{"uuid":{"type":"string","description":"Uuid of the tag, if existing. Not required, but will speed up the creation if present."},"name":{"type":"string","description":"Name of the tag. Expected to be in a '#term' format, hash included."}}},"AnswerTemplateResponseDTO":{"type":"object","description":"A Structure representing all data of an answer template.","properties":{"id":{"type":"string","description":"The answer template's String uuid."},"content":{"$ref":"#/components/schemas/ContentDTO","description":"A Structure containing usages of this template."},"type":{"type":"string","description":"The answer template's type."},"channelTypeId":{"type":"integer","format":"int64","description":"The UUID of the assigned channel's type."},"channelId":{"type":"string","description":"A Uuid of a channel assigned to this template."},"technicalText":{"type":"string","description":"A freeform text with technical configurations."},"translations":{"type":"array","description":"Translated answer templates","items":{"$ref":"#/components/schemas/AnswerTranslateResponseDTO"},"uniqueItems":true}},"required":["channelId","channelTypeId"]},"ContentDTO":{"type":"object","description":"A Structure representing the content of an answers template usage.","properties":{"content":{"description":"A Freeform, JSON structure representing this content"},"description":{"type":"string","description":"The description on this answer template's content"},"type":{"type":"string","description":"This answer template's type"},"buttons":{"type":"array","description":"A list of JSON objects representing buttons.","items":{}},"quickReply":{"type":"array","description":"A list of JSON objects representing quick replies.","items":{}},"name":{"type":"string","description":"This content's name"}}},"AnswerTranslateResponseDTO":{"type":"object","properties":{"answerTemplateUUID":{"type":"string"},"locale":{"type":"string"},"content":{"type":"string"}}},"AnswerRephraseRequestDTO":{"type":"object","description":"Rephrase configuration for an Answer.","properties":{"enabled":{"type":"boolean","description":"Whether the rephrasing feature is active in this answer."},"temperature":{"type":"number","format":"double","description":"The temperature used in the rephrasing feature for this answer (0 to 1).","maximum":1,"minimum":0},"memory":{"type":"integer","format":"int32","description":"The amount of previous user inputs used to modify the rephrasing feature."},"blacklist":{"type":"string","description":"A number of space-separated blacklisted words to avoid during rephrasing."},"verbosity":{"type":"string","description":"Response verbosity for GPT-5 series rephrase (LOW, MEDIUM, HIGH).","enum":["LOW","MEDIUM","HIGH"]},"reasoningEffort":{"type":"string","description":"Reasoning effort for GPT-5 series rephrase (MINIMAL, LOW, MEDIUM, HIGH).","enum":["MINIMAL","LOW","MEDIUM","HIGH"]}}},"UserDTO":{"type":"object","description":"A simplified structure representing minimal data of a user.","properties":{"name":{"type":"string","description":"The user's name"},"imageUrl":{"type":"string","description":"The user's image URL"}}},"AuthDTO":{"type":"object","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type.","properties":{"authType":{"$ref":"#/components/schemas/AuthTypeEnum","description":"Enum describing if cell uses an auth method, and which."},"basicToken":{"type":"string","description":"Basic Token for Basic Auth Header"},"bearerToken":{"type":"string","description":"Bearer Token for Bearer Token Auth Header"},"oauthUrl":{"type":"string","description":"URL for authentication with oAuth Method"},"grantType":{"$ref":"#/components/schemas/GrantTypeEnum","description":"Grant type to be used with oAuth Method"},"clientId":{"type":"string","description":"Client Id to be used with oAuth Method"},"clientSecret":{"type":"string","description":"Client Secret to be used with oAuth Method and grant type 'client_credentials'"},"authUsername":{"type":"string","description":"Username to be used with oAuth Method and grant type 'password'"},"authPassword":{"type":"string","description":"Password to be used with oAuth Method and grant type 'password'"}}},"AuthTypeEnum":{"type":"string","enum":["AuthTypeEnum.AUTH_NONE(value=AUTH_NONE)","AuthTypeEnum.AUTH_BASIC(value=AUTH_BASIC)","AuthTypeEnum.AUTH_BEARER(value=AUTH_BEARER)","AuthTypeEnum.AUTH_OAUTH(value=AUTH_OAUTH)"]},"GrantTypeEnum":{"type":"string","enum":["GrantTypeEnum.CLIENT_CREDENTIALS(value=CLIENT_CREDENTIALS)","GrantTypeEnum.PASSWORD(value=PASSWORD)","GrantTypeEnum.REFRESH_TOKEN(value=REFRESH_TOKEN)"]},"FlowResponseDTO":{"type":"object","description":"Structure representing a flow's basic information.","properties":{"uuid":{"type":"string","description":"Uuid of the flow."},"name":{"type":"string","description":"Name of the flow"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## PUT /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/{uuid}

> Updates an existing answer.

```json
{"openapi":"3.1.0","info":{"title":"eva-answer API Documentation","version":"4.9.0"},"tags":[],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/{uuid}":{"put":{"tags":["answer-controller"],"summary":"Updates an existing answer.","operationId":"updateAnswer","parameters":[{"name":"orgUUID","in":"path","description":"A valid uuid of an organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid uuid of an environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"The UUID of the bot whose entity you are searching belong to","required":true,"schema":{"type":"string"}},{"name":"uuid","in":"path","description":"The answer's uuid","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnswerRequestDTO"}}},"required":true},"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnswersDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/StandardError"},{"$ref":"#/components/schemas/ValidationError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"AnswerRequestDTO":{"type":"object","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type.","properties":{"name":{"type":"string","description":"The answer's name."},"description":{"type":"string","description":"A freeform description of this answer."},"tags":{"type":"array","description":"A list of all tags associated to this answer.","items":{"$ref":"#/components/schemas/TagsDTO"},"uniqueItems":true},"answerTemplates":{"type":"array","description":"A list of the answer's templates.","items":{"$ref":"#/components/schemas/AnswerTemplateRequestDTO"},"uniqueItems":true},"webhook":{"type":"string","description":"A freeform string to code up a webhook for this answer."},"transactional":{"type":"boolean","description":"A boolean indicator representing if this answer is a transactional answer."},"evaluable":{"type":"boolean","description":"A boolean indicator representing if this answer is an evaluable answer."},"isMasked":{"type":"boolean","description":"Whether or not this answer is masked."},"headers":{"description":"The answer's Headers. This object is a freeform JSON which must be parser as an object when receiving it."},"type":{"type":"string","description":"The answer's type."},"executionLimit":{"type":"integer","format":"int64","description":"The number of times an answer can be executed."},"rephrase":{"$ref":"#/components/schemas/AnswerRephraseRequestDTO","description":"Nested rephrase configuration. Preferred over the flat rephrase fields."},"rephraseEnabled":{"type":"boolean","deprecated":true,"description":"Deprecated. Use rephrase.enabled instead. Whether the rephrasing feature is active in this answer."},"rephrasingTemperature":{"type":"number","format":"double","deprecated":true,"description":"Deprecated. Use rephrase.temperature instead. The temperature used in the rephrasing feature for this answer."},"rephrasingMemory":{"type":"integer","format":"int32","deprecated":true,"description":"Deprecated. Use rephrase.memory instead. The amount of previous user inputs used to modify the rephrasing feature."},"rephrasingBlacklist":{"type":"string","deprecated":true,"description":"Deprecated. Use rephrase.blacklist instead. Space-separated blacklisted words to avoid during rephrasing."},"transactionalAuth":{"$ref":"#/components/schemas/AuthDTO","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type."},"rephrasingVerbosity":{"type":"string"},"rephrasingReasoningEffort":{"type":"string"},"validAuthType":{"type":"boolean"}},"required":["answerTemplates","evaluable","name","transactional"]},"TagsDTO":{"type":"object","properties":{"uuid":{"type":"string","description":"Uuid of the tag, if existing. Not required, but will speed up the search if present."},"name":{"type":"string","description":"Name of the tag."},"objectRef":{"type":"string","description":"The Uuid of the object associated with it. The kind of object is declared in tagTypeId"},"tagTypeId":{"type":"integer","format":"int64","description":"The type of object this tag shall refer to: \n\n1 - Intent \n\n2 - Entity \n\n3 - Answer \n\n4 - Flow \n\n6 - Service \n\n7 - Question \n\n5 - Unused stubs (Flow)"}},"required":["objectRef","tagTypeId"]},"AnswerTemplateRequestDTO":{"type":"object","properties":{"id":{"type":"string","description":"The answer template's String uuid, if already existing. When null, a new one is created."},"content":{"description":"A Structure containing usages of this template. This is a freeform JSON."},"type":{"type":"string","description":"The answer template's type."},"channelTypeId":{"type":"integer","format":"int64","description":"The UUID of the assigned channel's type."},"channelId":{"type":"string","description":"A Uuid of a channel assigned to this template."},"technicalText":{"type":"string","description":"A freeform text with technical configurations."}},"required":["channelId","channelTypeId"]},"AnswerRephraseRequestDTO":{"type":"object","description":"Rephrase configuration for an Answer.","properties":{"enabled":{"type":"boolean","description":"Whether the rephrasing feature is active in this answer."},"temperature":{"type":"number","format":"double","description":"The temperature used in the rephrasing feature for this answer (0 to 1).","maximum":1,"minimum":0},"memory":{"type":"integer","format":"int32","description":"The amount of previous user inputs used to modify the rephrasing feature."},"blacklist":{"type":"string","description":"A number of space-separated blacklisted words to avoid during rephrasing."},"verbosity":{"type":"string","description":"Response verbosity for GPT-5 series rephrase (LOW, MEDIUM, HIGH).","enum":["LOW","MEDIUM","HIGH"]},"reasoningEffort":{"type":"string","description":"Reasoning effort for GPT-5 series rephrase (MINIMAL, LOW, MEDIUM, HIGH).","enum":["MINIMAL","LOW","MEDIUM","HIGH"]}}},"AuthDTO":{"type":"object","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type.","properties":{"authType":{"$ref":"#/components/schemas/AuthTypeEnum","description":"Enum describing if cell uses an auth method, and which."},"basicToken":{"type":"string","description":"Basic Token for Basic Auth Header"},"bearerToken":{"type":"string","description":"Bearer Token for Bearer Token Auth Header"},"oauthUrl":{"type":"string","description":"URL for authentication with oAuth Method"},"grantType":{"$ref":"#/components/schemas/GrantTypeEnum","description":"Grant type to be used with oAuth Method"},"clientId":{"type":"string","description":"Client Id to be used with oAuth Method"},"clientSecret":{"type":"string","description":"Client Secret to be used with oAuth Method and grant type 'client_credentials'"},"authUsername":{"type":"string","description":"Username to be used with oAuth Method and grant type 'password'"},"authPassword":{"type":"string","description":"Password to be used with oAuth Method and grant type 'password'"}}},"AuthTypeEnum":{"type":"string","enum":["AuthTypeEnum.AUTH_NONE(value=AUTH_NONE)","AuthTypeEnum.AUTH_BASIC(value=AUTH_BASIC)","AuthTypeEnum.AUTH_BEARER(value=AUTH_BEARER)","AuthTypeEnum.AUTH_OAUTH(value=AUTH_OAUTH)"]},"GrantTypeEnum":{"type":"string","enum":["GrantTypeEnum.CLIENT_CREDENTIALS(value=CLIENT_CREDENTIALS)","GrantTypeEnum.PASSWORD(value=PASSWORD)","GrantTypeEnum.REFRESH_TOKEN(value=REFRESH_TOKEN)"]},"AnswersDTO":{"type":"object","description":"A Structure holding a mapping of an answer's information and all Flows associated to it.","properties":{"answer":{"$ref":"#/components/schemas/AnswerDTO","description":"All data regarding this answer"},"flows":{"type":"array","description":"A list of Flows associated to this answer","items":{"$ref":"#/components/schemas/FlowResponseDTO"}}}},"AnswerDTO":{"type":"object","description":"A Structure representing all data of an answer, containing it's templates.","properties":{"id":{"type":"string","description":"The answer's String uuid."},"name":{"type":"string","description":"The answer's name."},"description":{"type":"string","description":"A freeform description of this answer."},"evaluable":{"type":"integer","format":"int32","description":"A boolean indicator representing if this answer is an evaluable answer."},"transactional":{"type":"integer","format":"int32","description":"A boolean indicator representing if this answer is a transactional answer."},"isMasked":{"type":"boolean","description":"Whether or not this answer is masked."},"updatedAt":{"type":"string","format":"date-time","description":"An ISO formatted date of the last update of this answer."},"updatedBy":{"type":"string","description":"Uuid of the user that has last updated this answer."},"tags":{"type":"array","description":"A list of all tags associated to this answer.","items":{"$ref":"#/components/schemas/TagSimpleDTO"},"uniqueItems":true},"webhook":{"type":"string","description":"A freeform string to code up a webhook for this answer."},"type":{"type":"string","description":"The answer's type."},"headers":{"description":"The answer's Headers. This object is a freeform JSON which must be parser as an object when receiving it."},"answerTemplates":{"type":"array","description":"A list of the answer's templates.","items":{"$ref":"#/components/schemas/AnswerTemplateResponseDTO"},"uniqueItems":true},"executionLimit":{"type":"integer","format":"int64","description":"The number of times an answer can be executed."},"rephrase":{"$ref":"#/components/schemas/AnswerRephraseRequestDTO","description":"Nested rephrase configuration. Preferred over the flat rephrase fields."},"rephraseEnabled":{"type":"boolean","deprecated":true,"description":"Deprecated. Use rephrase.enabled instead. Whether the rephrasing feature is active in this answer."},"rephrasingTemperature":{"type":"number","format":"double","deprecated":true,"description":"Deprecated. Use rephrase.temperature instead. The temperature used in the rephrasing feature for this answer."},"rephrasingMemory":{"type":"integer","format":"int32","deprecated":true,"description":"Deprecated. Use rephrase.memory instead. The amount of previous user inputs used to modify the rephrasing feature."},"rephrasingBlacklist":{"type":"string","deprecated":true,"description":"Deprecated. Use rephrase.blacklist instead. Space-separated blacklisted words to avoid during rephrasing."},"user":{"$ref":"#/components/schemas/UserDTO","description":"The User who last edited this answer."},"transactionalAuth":{"$ref":"#/components/schemas/AuthDTO","description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type."},"rephrasingVerbosity":{"type":"string"},"rephrasingReasoningEffort":{"type":"string"}}},"TagSimpleDTO":{"type":"object","description":"Structure used to represent a tag association.","properties":{"uuid":{"type":"string","description":"Uuid of the tag, if existing. Not required, but will speed up the creation if present."},"name":{"type":"string","description":"Name of the tag. Expected to be in a '#term' format, hash included."}}},"AnswerTemplateResponseDTO":{"type":"object","description":"A Structure representing all data of an answer template.","properties":{"id":{"type":"string","description":"The answer template's String uuid."},"content":{"$ref":"#/components/schemas/ContentDTO","description":"A Structure containing usages of this template."},"type":{"type":"string","description":"The answer template's type."},"channelTypeId":{"type":"integer","format":"int64","description":"The UUID of the assigned channel's type."},"channelId":{"type":"string","description":"A Uuid of a channel assigned to this template."},"technicalText":{"type":"string","description":"A freeform text with technical configurations."},"translations":{"type":"array","description":"Translated answer templates","items":{"$ref":"#/components/schemas/AnswerTranslateResponseDTO"},"uniqueItems":true}},"required":["channelId","channelTypeId"]},"ContentDTO":{"type":"object","description":"A Structure representing the content of an answers template usage.","properties":{"content":{"description":"A Freeform, JSON structure representing this content"},"description":{"type":"string","description":"The description on this answer template's content"},"type":{"type":"string","description":"This answer template's type"},"buttons":{"type":"array","description":"A list of JSON objects representing buttons.","items":{}},"quickReply":{"type":"array","description":"A list of JSON objects representing quick replies.","items":{}},"name":{"type":"string","description":"This content's name"}}},"AnswerTranslateResponseDTO":{"type":"object","properties":{"answerTemplateUUID":{"type":"string"},"locale":{"type":"string"},"content":{"type":"string"}}},"UserDTO":{"type":"object","description":"A simplified structure representing minimal data of a user.","properties":{"name":{"type":"string","description":"The user's name"},"imageUrl":{"type":"string","description":"The user's image URL"}}},"FlowResponseDTO":{"type":"object","description":"Structure representing a flow's basic information.","properties":{"uuid":{"type":"string","description":"Uuid of the flow."},"name":{"type":"string","description":"Name of the flow"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## DELETE /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/{uuid}

> Deletes an answer. The answer is disabled via the 'removed' parameter rather than deleted from the DB.

```json
{"openapi":"3.0.1","info":{"title":"eva-answer API Documentation","version":"4.8.0"},"tags":[],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/{uuid}":{"delete":{"tags":["answer-controller"],"summary":"Deletes an answer. The answer is disabled via the 'removed' parameter rather than deleted from the DB.","operationId":"deleteAnswer","parameters":[{"name":"orgUUID","in":"path","description":"A valid uuid of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid uuid of environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid uuid of bot","required":true,"schema":{"type":"string"}},{"name":"uuid","in":"path","description":"The answer's uuid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs-conversational-ai.syntphony.com/api-docs/api-guidelines/management-api/instance-api/answer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
